Bug 1312536 - [abrt] gnome-system-monitor: std::_Rb_tree<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, Glib::RefPtr<Gio::AppInfo> >, ...
[abrt] gnome-system-monitor: std::_Rb_tree<std::__cxx11::basic_string<char, s...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:87629bb4bf771c2dca0efb092a1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 20:54 EST by Chen_Min_Chin
Modified: 2016-12-20 14:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:03:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.70 KB, text/plain)
2016-02-26 20:54 EST, Chen_Min_Chin
no flags Details
File: cgroup (294 bytes, text/plain)
2016-02-26 20:54 EST, Chen_Min_Chin
no flags Details
File: core_backtrace (8.05 KB, text/plain)
2016-02-26 20:54 EST, Chen_Min_Chin
no flags Details
File: dso_list (12.17 KB, text/plain)
2016-02-26 20:54 EST, Chen_Min_Chin
no flags Details
File: environ (2.84 KB, text/plain)
2016-02-26 20:54 EST, Chen_Min_Chin
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-26 20:55 EST, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-26 20:55 EST, Chen_Min_Chin
no flags Details
File: maps (57.48 KB, text/plain)
2016-02-26 20:55 EST, Chen_Min_Chin
no flags Details
File: mountinfo (3.79 KB, text/plain)
2016-02-26 20:55 EST, Chen_Min_Chin
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-26 20:55 EST, Chen_Min_Chin
no flags Details
File: open_fds (1.53 KB, text/plain)
2016-02-26 20:55 EST, Chen_Min_Chin
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-02-26 20:55 EST, Chen_Min_Chin
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-26 20:55 EST, Chen_Min_Chin
no flags Details

  None (edit)
Description Chen_Min_Chin 2016-02-26 20:54:47 EST
Version-Release number of selected component:
gnome-system-monitor-3.18.2-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gnome-system-monitor
crash_function: std::_Rb_tree<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, Glib::RefPtr<Gio::AppInfo> >, std::_Select1st<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, Glib::RefPtr<Gio::AppInfo> > >, std::less<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, Glib::RefPtr<Gio::AppInfo> > > >::_M_lower_bound
executable:     /usr/bin/gnome-system-monitor
global_pid:     2512
kernel:         4.3.4-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 std::_Rb_tree<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, Glib::RefPtr<Gio::AppInfo> >, std::_Select1st<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, Glib::RefPtr<Gio::AppInfo> > >, std::less<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, Glib::RefPtr<Gio::AppInfo> > > >::_M_lower_bound at /usr/include/c++/5.1.1/bits/stl_tree.h:1627
 #1 std::_Rb_tree<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, Glib::RefPtr<Gio::AppInfo> >, std::_Select1st<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, Glib::RefPtr<Gio::AppInfo> > >, std::less<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, Glib::RefPtr<Gio::AppInfo> > > >::lower_bound at /usr/include/c++/5.1.1/bits/stl_tree.h:1091
 #2 std::map<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, Glib::RefPtr<Gio::AppInfo>, std::less<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, Glib::RefPtr<Gio::AppInfo> > > >::lower_bound at /usr/include/c++/5.1.1/bits/stl_map.h:913
 #3 std::map<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, Glib::RefPtr<Gio::AppInfo>, std::less<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, Glib::RefPtr<Gio::AppInfo> > > >::operator[](std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >&&) at /usr/include/c++/5.1.1/bits/stl_map.h:496
 #4 PrettyTable::get_icon_from_gio at prettytable.cpp:217
 #5 PrettyTable::set_icon at prettytable.cpp:323
 #6 insert_info_to_tree at proctable.cpp:834
 #7 proctable_update at proctable.cpp:1091
 #8 cb_main_window_state_changed at interface.cpp:608
 #9 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
Comment 1 Chen_Min_Chin 2016-02-26 20:54:52 EST
Created attachment 1130969 [details]
File: backtrace
Comment 2 Chen_Min_Chin 2016-02-26 20:54:53 EST
Created attachment 1130970 [details]
File: cgroup
Comment 3 Chen_Min_Chin 2016-02-26 20:54:55 EST
Created attachment 1130971 [details]
File: core_backtrace
Comment 4 Chen_Min_Chin 2016-02-26 20:54:57 EST
Created attachment 1130972 [details]
File: dso_list
Comment 5 Chen_Min_Chin 2016-02-26 20:54:59 EST
Created attachment 1130973 [details]
File: environ
Comment 6 Chen_Min_Chin 2016-02-26 20:55:00 EST
Created attachment 1130974 [details]
File: exploitable
Comment 7 Chen_Min_Chin 2016-02-26 20:55:02 EST
Created attachment 1130975 [details]
File: limits
Comment 8 Chen_Min_Chin 2016-02-26 20:55:05 EST
Created attachment 1130976 [details]
File: maps
Comment 9 Chen_Min_Chin 2016-02-26 20:55:06 EST
Created attachment 1130977 [details]
File: mountinfo
Comment 10 Chen_Min_Chin 2016-02-26 20:55:08 EST
Created attachment 1130978 [details]
File: namespaces
Comment 11 Chen_Min_Chin 2016-02-26 20:55:10 EST
Created attachment 1130979 [details]
File: open_fds
Comment 12 Chen_Min_Chin 2016-02-26 20:55:11 EST
Created attachment 1130980 [details]
File: proc_pid_status
Comment 13 Chen_Min_Chin 2016-02-26 20:55:13 EST
Created attachment 1130981 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:47:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 14:03:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.